# Glitch Overhaul
### A visual-only, client-side-only mod for Glitch.
#### Image previews can be found below the Settings section.

<hr>

<br>

> ## **Contact:**
> ### In case of any crashes and/or questions ping me (S2ymi#6601) on the Official Northstar Discord in the #modding-chat channel

<br>

# Features v1.0.0:
- Custom Nebula Skybox
- Lots of additional Particle Effects
- Complete Fog Removal or Additional Skybox Fog
- 4 Different Bloom Levels
- Blue Glowing Trees
- Godrays Removal
- Custom Colour Correction
- Settings regarding nearly all of the Features

# Features v1.1.0:
- Scrolling energy-like texture over the Skybox (with settings)
- Custom Loadscreen
- Updated the Trees to 2k resolution
- The `Dimentional Breaches` can now have their texture switched between an upside-down Glitch or a 3D Fractal
- Moved the `Dimentional Breaches` particle 1000 units up

<hr>

# Settings:
- Colour Correction:
   - Additional Red Saturation/Desaturation
   - Additional Blue Saturation/Desaturation
   - Really small values are recommendable (0.05-0.1 for Sat and 0.1-1.0 for Desat)
   - Values used in previews are all 0s
- Particles (Map reload required for changes to take effect):
   - White Streaks On/Off
   - Blue Streaks On/Off
   - Orange Streaks On/Off
- Post Processing:
   - Colour Correction On/Off
   - Bloom Scale (2 is the recommended value and has been used in previews)
   - Map Fog On/Off
- Skybox (Controls the scrolling energy texture)
   - Colour
      - RGB format
      - Range 0-1
      - Static
   - RGB Cycle
      - RGB
      - :D
   - Alpha
      - Range 0-1
      - **Set this to 0 if you want the feature disabled!**
   - Scroll rate
      - Low values (below 0.1) are recommended for this
      - 0.0 makes the texture static
   - Scroll Angle
      - 90 makes the texture go from the blue side to the orange side
- Skybox Advanced
   - Enabled On/Off
   - Works by setting each colour to a sine function
   - Each RGB Colour has the same, following settings:
      - Sine Period (in seconds)
      - Sine Offset (in seconds)
         - **The value here is divided by 3 to allow fractions, your target offset should be multiplied by 3!**
      - Sine Min (Minimal Sine value)
      - Sine Max (Maximal Sine value)
- Particles | Experimental (Map reload rule applies):
   - Particle Pillars:
      - Very resource intensive
      - Can't be added even in medium amounts as they overload the maximum particle count :(
      - Only 4 are on the map in this version and shouldn't cause any issues when enabled
      - Can be found in the 1st 3 images
   - Dimentional Breaches:
      - Essentially huge inverted spheres projecting a fractal cubemap
      - They're particles, start just above the map, slowly move upwards and decrease in size
      - Not really Experimental but more of a misc fun setting :)
      - Can be seen in the last 2 images

# Preview:
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710576958586910/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710986393944064/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710814003859487/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710342387957780/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977712313643728926/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977711580659720272/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977711433435463760/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977721957388791858/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977722933713731604/unknown.png)

<hr>
 