untyped
global function glitchCCPrecache
global function glitchCCSettings

void function glitchCCSettings(){
    #if UI
    AddConVarSetting("glitch_oh_blue_sat", "Blue Saturation", "S2.GlitchOverhaul | Colour Correction", "float")
    AddConVarSetting("glitch_oh_blue_desat", "Blue Desaturation", "S2.GlitchOverhaul | Colour Correction", "float")
    AddConVarSetting("glitch_oh_red_sat", "Red Saturation", "S2.GlitchOverhaul | Colour Correction", "float")
    AddConVarSetting("glitch_oh_red_desat", "Red Desaturation", "S2.GlitchOverhaul | Colour Correction", "float")
    #endif
}

void function glitchCCPrecache(){
    #if CLIENT
    thread glitchCCMain()
    #endif
}

#if CLIENT

var blueSat = null
var blueDesat = null
var redSat = null
var redDesat = null

void function glitchCCMain(){
    var blueSat = ColorCorrection_Register("materials/correction/glitch_blue_sat.raw")
    var blueDesat = ColorCorrection_Register("materials/correction/glitch_blue_desat.raw")
    var redSat = ColorCorrection_Register("materials/correction/glitch_red_sat.raw")
    var redDesat = ColorCorrection_Register("materials/correction/glitch_red_desat.raw")
    for(;;){
        WaitFrame()
        if(GetMapName() == "mp_glitch"){
            ColorCorrection_SetWeight(blueSat, GetConVarFloat("glitch_oh_blue_sat"))
            ColorCorrection_SetWeight(blueDesat, GetConVarFloat("glitch_oh_blue_desat"))
            ColorCorrection_SetWeight(redSat, GetConVarFloat("glitch_oh_red_sat"))
            ColorCorrection_SetWeight(redDesat, GetConVarFloat("glitch_oh_red_desat"))
        }
        else{
            ColorCorrection_SetWeight(blueSat, 0.0)
            ColorCorrection_SetWeight(blueDesat, 0.0)
            ColorCorrection_SetWeight(redSat, 0.0)
            ColorCorrection_SetWeight(redDesat, 0.0)
        }
    }
}

#endif